叢集輪動

GET /clusters/rotation
GetClusterRotation

某個叢集的關注焦點正在如何移動:相較於前一個視窗,在其貼文中占比上升與下降的資產(以基點計),以及其貼文如何在市場、人物與事件之間分布。

參數規則:

  • 傳送 cluster_id。
  • cluster_id 一次只指定一個 cluster;若要比較多個 cluster,請逐一呼叫,或改用 /clusters 一次取得所有 cluster。
  • 貼文社群(wallstreetbets、reddit)僅涵蓋股票:使用其中一個時,asset_class 必須包含 equity。

可使用錢包於 https://nebula-api.hiddensystems.ai/api/v1/x402/clusters/rotation 付款。不需要 Nebula 帳號或 API 金鑰;簽署前請先確認付款條件。x402 付款指南。

參數

cluster_id string QUERY 必填

要分析的 cluster,格式與 /clusters 傳回的一致,例如 smart_money 或 wallstreetbets。可取自 /sentiment 的 clusters 參數中的任何 id。

Example:smart_money

asset_class array<string> QUERY

要分析的市場:可為 equity、commodity、index 和 crypto 任一種,以逗號分隔。預設為全部四種。可傳送多個並以逗號分隔。

Default:equity,commodity,index,crypto

hours integer QUERY

要與之前長度相同的視窗相比較的視窗:24(最近 24 小時)、168(最近 7 個完整日)或 720(最近 30 個完整日)。免費方案可回溯 90 天;更早則傳回 403。

允許的值
24168720

Default:168

limit integer QUERY

最多傳回的漲幅資產數,以及另外最多傳回的跌幅資產數。

Default:6

cURL 範例

curl --get \
  --url 'https://nebula-api.hiddensystems.ai/api/v1/public/clusters/rotation' \
  --data-urlencode 'cluster_id=smart_money' \
  --header 'X-API-Key: YOUR_API_KEY'

回應

200 OK
400 錯誤的要求
401 未經授權
402 額度已用完;回應會包含續約時間與已購買的額度餘額
403 禁止
404 找不到
405 不允許的方法;Allow 標頭會列出支援的方法
429 要求過多
500 內部伺服器錯誤
503 服務無法使用

媒體類型 application/json

asset_classes
array<string> 必填

所分析的市場,依 equity、commodity、index、crypto 的順序:所要求的 asset_class 值,若省略 asset_class 則為全部四者。

cluster_id
string 必填

所分析的 cluster,以其標準 cluster_id 表示。

gainers
array<object> 必填

在該叢集貼文中占比上升最多的資產,漲幅最大者在前。僅列出占比上升的資產。

gainers[].asset_class
string 必填

資產的類別:equity(股票與 ETF)、commodity、index 或 crypto。請在每個以資產為範圍的要求中,與 asset_id 一併送出。

允許的值
equitycommodityindexcrypto
gainers[].asset_id
string 必填

標準的公開資產識別碼:股票、商品與指數為 ticker 或市場代號,crypto 則為 CoinGecko slug(若無 slug,則為數字 id)。

gainers[].current_share
number (double) 必填

在目前視窗中,該資產的貼文占該叢集所有關於所選資產類別貼文的比例,從 0 到 1。

gainers[].name
string 必填

人類可讀的名稱。

gainers[].previous_share
number (double) 必填

在比較視窗中,該資產的貼文占該叢集所有貼文的比例,從 0 到 1。

gainers[].share_change_bps
integer 必填

current_share 減去比較視窗中的占比,以基點計:100 代表一個百分點。負值表示占比下降。

gainers[].symbol
string 必填

顯示用的 ticker 或市場代號。

hours
integer 必填

此回應所代表的回看區間,以小時為單位。

losers
array<object> 必填

在該叢集貼文中占比下降最多的資產,跌幅最大者在前。僅列出占比下降的資產。

losers[].asset_class
string 必填

資產的類別:equity(股票與 ETF)、commodity、index 或 crypto。請在每個以資產為範圍的要求中,與 asset_id 一併送出。

允許的值
equitycommodityindexcrypto
losers[].asset_id
string 必填

標準的公開資產識別碼:股票、商品與指數為 ticker 或市場代號,crypto 則為 CoinGecko slug(若無 slug,則為數字 id)。

losers[].current_share
number (double) 必填

在目前視窗中,該資產的貼文占該叢集所有關於所選資產類別貼文的比例,從 0 到 1。

losers[].name
string 必填

人類可讀的名稱。

losers[].previous_share
number (double) 必填

在比較視窗中,該資產的貼文占該叢集所有貼文的比例,從 0 到 1。

losers[].share_change_bps
integer 必填

current_share 減去比較視窗中的占比,以基點計:100 代表一個百分點。負值表示占比下降。

losers[].symbol
string 必填

顯示用的 ticker 或市場代號。

topic_changes
array<object> 必填

各主題在目前視窗的占比及其相較於前一個視窗的變化,依 equity、commodity、index、crypto、people、events 的順序。

topic_changes[].current_share
number (double) 必填

該主題在目前視窗中占該叢集貼文的比例,從 0 到 1。

topic_changes[].share_change_bps
integer 必填

相較於前一個視窗的占比變化,以基點計(100 代表一個百分點)。

topic_changes[].topic
string 必填

equity、commodity、index、crypto、people(人物及其帳號)或 events(地點、主題與事件)。

允許的值
equitycommodityindexcryptopeopleevents
topic_series
array<object> 必填

各主題在每個完整 UTC 日占該叢集貼文的比例,最舊的在前。

topic_series[].timestamp
string (date-time) 必填

該日的 UTC 起始時間:00:00。

topic_series[].topics
array<object> 必填

各主題當天占該叢集貼文的比例,依 topic_changes 的順序。當該叢集當天有貼文時,這些占比加總為 1。

topic_series[].topics[].topic
string 必填

equity、commodity、index、crypto、people(人物及其帳號)或 events(地點、主題與事件)。

允許的值
equitycommodityindexcryptopeopleevents
topic_series[].topics[].topic_share
number (double) 必填

該主題當天占該叢集貼文的比例,從 0 到 1。

{
  "asset_classes": [
    "equity",
    "commodity",
    "index",
    "crypto"
  ],
  "cluster_id": "smart_money",
  "gainers": [
    {
      "asset_class": "equity",
      "asset_id": "NVDA",
      "current_share": 0.0687,
      "name": "NVIDIA Corporation",
      "previous_share": 0.0412,
      "share_change_bps": 275,
      "symbol": "NVDA"
    }
  ],
  "hours": 168,
  "losers": [
    {
      "asset_class": "equity",
      "asset_id": "TSLA",
      "current_share": 0.0318,
      "name": "Tesla, Inc.",
      "previous_share": 0.0521,
      "share_change_bps": -203,
      "symbol": "TSLA"
    }
  ],
  "topic_changes": [
    {
      "current_share": 0.52,
      "share_change_bps": 120,
      "topic": "equity"
    },
    {
      "current_share": 0.03,
      "share_change_bps": -15,
      "topic": "commodity"
    },
    {
      "current_share": 0.04,
      "share_change_bps": 10,
      "topic": "index"
    },
    {
      "current_share": 0.14,
      "share_change_bps": -115,
      "topic": "crypto"
    },
    {
      "current_share": 0.11,
      "share_change_bps": 35,
      "topic": "people"
    },
    {
      "current_share": 0.16,
      "share_change_bps": -35,
      "topic": "events"
    }
  ],
  "topic_series": [
    {
      "timestamp": "2026-09-10T00:00:00Z",
      "topics": [
        {
          "topic": "equity",
          "topic_share": 0.5
        },
        {
          "topic": "commodity",
          "topic_share": 0.03
        },
        {
          "topic": "index",
          "topic_share": 0.04
        },
        {
          "topic": "crypto",
          "topic_share": 0.15
        },
        {
          "topic": "people",
          "topic_share": 0.11
        },
        {
          "topic": "events",
          "topic_share": 0.17
        }
      ]
    },
    {
      "timestamp": "2026-09-11T00:00:00Z",
      "topics": [
        {
          "topic": "equity",
          "topic_share": 0.53
        },
        {
          "topic": "commodity",
          "topic_share": 0.03
        },
        {
          "topic": "index",
          "topic_share": 0.04
        },
        {
          "topic": "crypto",
          "topic_share": 0.13
        },
        {
          "topic": "people",
          "topic_share": 0.11
        },
        {
          "topic": "events",
          "topic_share": 0.16
        }
      ]
    }
  ]
}